title1 1976 CENSUS OF CANADA- BST: EA-LONG FORM- EAECOB20
title2 SAS commands by S Kumar, UT/DLS 07/2001
// JOB
/*SERVICE ?
/*ROUTE PRINT RMT402
//  EXEC SAS
//SASLIB  DD DSN=
//IN  DD DSN=
//OUT  DD DSN=
//SYSIN  DD *
PROC FORMAT DDNAME=SASLIB;
VALUE  V1_F   10         = 'NEWFOUNDLAND'
             11         = 'PR EDWARD ISLAND'
             12         = 'NOVA SCOTIA'
             13         = 'NEW BRUNSWICK'
             24         = 'QUEBEC'
             35         = 'ONTARIO'
             46         = 'MANITOBA'
             47         = 'SASKATCHEWAN'
             48         = 'ALBERTA'
             59         = 'BRITISH COLUMBIA'
             60         = 'YUKON TERRITORY'
             61         = 'NW TERRITORIES'
             00         = 'CANADA'
       ;
VALUE  V7_F   1          = '500000 & UP'
             2          = '100000-499999'
             3          = '30000-99999'
             4          = '10000-29999'
             5          = '5000-9999'
             6          = '2500-4999'
             7          = '1000-2499'
             8          = '0-999'
       ;
VALUE  V11_F   1          = 'CENTRAL CITY'
             2          = 'REMAINDER OF COR'
             3          = 'URBAN FRINGE'
             4          = 'RURAL FRINGE'
             0          = 'NOT A CMA/CA'
       ;
VALUE  V12_F   1          = 'CMA'
             2          = 'CA'
             0          = 'NOT CMA OR CA'
       ;
VALUE  V14_F   1          = '100000 & UP'
             2          = '50000-99999'
             3          = '25000-49999'
             4          = '10000-24999'
             5          = '5000-9999'
             6          = '2000-4999'
             7          = '1000-1999'
             0          = 'NOT A CMA-CA'
       ;
VALUE  V18_F   1          = 'URBAN'
             0          = 'RURAL'
       ;
VALUE  V19_F   1          = '500000 & UP'
             2          = '100000-499999'
             3          = '30000-99999'
             4          = '10000-29999'
             5          = '5000-9999'
             6          = '2500-4999'
             7          = '1000-2499'
             8          = '0-999'
             0          = 'RURAL'
       ;
VALUE  V21_F   1          = 'CANADA'
             2          = 'PROV & TERRITORI'
             3          = 'FED ED'
             5          = 'ENUM AREA'
       ;
DATA OUT.???;
INFILE IN.???;
INPUT  PROV   1-2
       FED   3-5
       EA   6-8
       CD   9-10
       CSD   11-14
       SGCCDCSD   15-19
       CSDSIZE   20-20
       CSDTYPE   21-22
       CCS   23-26
       CMACA   27-29
       CMACAPT   30-30
       CMACASEL   31-31
       SGCCMACA   32-34
       CMACASIZ   35-35
       CTPCTCOD   36-39
       CTPCTNUM   40-45
       SUBPREG   46-47
       URBRUR   48-48
       URBSIZE   49-49
       BLANK1   50-51
       RECTYPE   52-52
       V1   53-63 .2
       V2   64-74 .2
       V3   75-85 .2
       V4   86-96 .2
       V5   97-107 .2
       V6   108-118 .2
       V7   119-129 .2
       V8   130-140 .2
       V9   141-151 .2
       V10   152-162 .2
       V11   163-173 .2
       V12   174-184 .2
       V13   185-195 .2
       V14   196-206 .2
       V15   207-217 .2
       V16   218-228 .2
       V17   229-239 .2
       V18   240-250 .2
       V19   251-261 .2
       V20   262-272 .2
       V21   273-283 .2
       V22   284-294 .2
       V23   295-305 .2
       V24   306-316 .2
       V25   317-327 .2
       V26   328-338 .2
       V27   339-349 .2
       V28   350-360 .2
       V29   361-371 .2
       V30   372-382 .2
       V31   383-393 .2
       V32   394-404 .2
       V33   405-415 .2
       V34   416-426 .2
       V35   427-437 .2
       V36   438-448 .2
       V37   449-459 .2
       V38   460-470 .2
       V39   471-481 .2
       V40   482-492 .2
       V41   493-503 .2
       V42   504-514 .2
       V43   515-525 .2
       V44   526-536 .2
       V45   537-547 .2
       V46   548-558 .2
       V47   559-569 .2
       V48   570-580 .2
       V49   581-591 .2
       V50   592-602 .2
       V51   603-613 .2
       V52   614-624 .2
       V53   625-635 .2
       V54   636-646 .2
       V55   647-657 .2
       V56   658-668 .2
       V57   669-679 .2
       V58   680-690 .2
       V59   691-701 .2
       V60   702-712 .2
       V61   713-723 .2
       V62   724-734 .2
       V63   735-745 .2
       V64   746-756 .2
       V65   757-767 .2
       V66   768-778 .2
       V67   779-789 .2
       V68   790-800 .2
       V69   801-811 .2
       V70   812-822 .2
       V71   823-833 .2
       V72   834-844 .2
       V73   845-855 .2
       V74   856-866 .2
       V75   867-877 .2
       V76   878-888 .2
       V77   889-899 .2
       V78   900-910 .2
       V79   911-921 .2
       V80   922-932 .2
       V81   933-943 .2
       V82   944-954 .2
       V83   955-965 .2
       V84   966-976 .2
       V85   977-987 .2
       V86   988-998 .2
       V87   999-1009 .2
       V88   1010-1020 .2
       V89   1021-1031 .2
       V90   1032-1042 .2
       V91   1043-1053 .2
       V92   1054-1064 .2
       V93   1065-1075 .2
       V94   1076-1086 .2
       V95   1087-1097 .2
       V96   1098-1108 .2
       V97   1109-1119 .2
       V98   1120-1130 .2
       V99   1131-1141 .2
       V100   1142-1152 .2
       V101   1153-1163 .2
       V102   1164-1174 .2
       V103   1175-1185 .2
       V104   1186-1196 .2
       V105   1197-1207 .2
       V106   1208-1218 .2
       V107   1219-1229 .2
       V108   1230-1240 .2
       V109   1241-1251 .2
       V110   1252-1262 .2
       V111   1263-1273 .2
       V112   1274-1284 .2
       V113   1285-1295 .2
       V114   1296-1306 .2
       V115   1307-1317 .2
       V116   1318-1328 .2
       V117   1329-1339 .2
       V118   1340-1350 .2
       V119   1351-1361 .2
       V120   1362-1372 .2
       V121   1373-1383 .2
       V122   1384-1394 .2
       V123   1395-1405 .2
       V124   1406-1416 .2
       V125   1417-1427 .2
       V126   1428-1438 .2
       V127   1439-1449 .2
       V128   1450-1460 .2
       V129   1461-1471 .2
       V130   1472-1482 .2
       V131   1483-1493 .2
       V132   1494-1504 .2
       V133   1505-1515 .2
       V134   1516-1526 .2
       V135   1527-1537 .2
       V136   1538-1548 .2
       V137   1549-1559 .2
       V138   1560-1570 .2
       V139   1571-1581 .2
       V140   1582-1592 .2
       V141   1593-1603 .2
       V142   1604-1614 .2
       V143   1615-1625 .2
       V144   1626-1636 .2
       V145   1637-1647 .2
       V146   1648-1658 .2
       V147   1659-1669 .2
       V148   1670-1680 .2
       V149   1681-1691 .2
       V150   1692-1702 .2
       V151   1703-1713 .2
       V152   1714-1724 .2
       V153   1725-1735 .2
       V154   1736-1746 .2
       V155   1747-1757 .2
       V156   1758-1768 .2
       V157   1769-1779 .2
       V158   1780-1790 .2
       V159   1791-1801 .2
       V160   1802-1812 .2
       V161   1813-1823 .2
       V162   1824-1834 .2
       V163   1835-1845 .2
       V164   1846-1856 .2
       V165   1857-1867 .2
       V166   1868-1878 .2
       V167   1879-1889 .2
       V168   1890-1900 .2
       V169   1901-1911 .2
       V170   1912-1922 .2
       V171   1923-1933 .2
       V172   1934-1944 .2
       V173   1945-1955 .2
       V174   1956-1966 .2
       V175   1967-1977 .2
       V176   1978-1988 .2
       V177   1989-1999 .2
       V178   2000-2010 .2
       V179   2011-2021 .2
       V180   2022-2032 .2
       V181   2033-2043 .2
       V182   2044-2054 .2
       V183   2055-2065 .2
       V184   2066-2076 .2
       V185   2077-2087 .2
       V186   2088-2098 .2
       V187   2099-2109 .2
       V188   2110-2120 .2
       V189   2121-2131 .2
       V190   2132-2142 .2
       V191   2143-2153 .2
       V192   2154-2164 .2
       V193   2165-2175 .2
       V194   2176-2186 .2
       V195   2187-2197 .2
       V196   2198-2208 .2
       V197   2209-2219 .2
       V198   2220-2230 .2
       V199   2231-2241 .2
       V200   2242-2252 .2
       V201   2253-2263 .2
       V202   2264-2274 .2
       V203   2275-2285 .2
       V204   2286-2296 .2
       V205   2297-2307 .2
       V206   2308-2318 .2
       V207   2319-2329 .2
       V208   2330-2340 .2
       V209   2341-2351 .2
       V210   2352-2362 .2
      ;
LABEL   PROV = 'Province (region)'
        FED = 'Federal electroral district'
        EA = 'Enumeration area'
        CD = 'Census division'
        CSD = 'Census subdivision'
        SGCCDCSD = 'Standard geographic code for CD/CSD'
        CSDSIZE = 'Census subdivision pop size gp'
        CSDTYPE = 'Census subdivision type code'
        CCS = 'Census consolidated subdivision'
        CMACA = 'CMA/CA area code'
        CMACAPT = 'CMA/CA part'
        CMACASEL = 'CMA/CA selector'
        SGCCMACA = 'Standard geographic code for CMA-CA'
        CMACASIZ = 'CMA-CA pop size gp'
        CTPCTCOD = 'Census tract or prov CT code'
        CTPCTNUM = 'Census tract or prov CT number'
        SUBPREG = 'Subprovincial region'
        URBRUR = 'Urban-Rural area'
        URBSIZE = 'Urban area pop size gp'
        BLANK1 = 'Blank- for future use'
        RECTYPE = 'Record type'
        V1 = 'Tot pop 15+: tot'
        V2 = 'Tot pop 15+: males'
        V3 = 'Tot pop 15+: females'
        V4 = '<grade 9: tot'
        V5 = '<grade 9: males'
        V6 = '<grade 9: females'
        V7 = 'Grades 9-10: tot'
        V8 = 'Grades 9-10: males'
        V9 = 'Grades 9-10: females'
        V10 = 'Grades 11-13 without sec sch cert: tot'
        V11 = 'Grades 11-13 without sec sch cert: males'
        V12 = 'Grades 11-13 without sec sch cert: females'
        V13 = 'Grades 11-13 with sec sch cert: tot'
        V14 = 'Grades 11-13 with sec sch cert: males'
        V15 = 'Grades 11-13 with sec sch cert: females'
        V16 = 'Post sec non-univ without cert: tot'
        V17 = 'Post sec non-univ without cert: males'
        V18 = 'Post sec non-univ without cert: females'
        V19 = 'Post sec non-univ with cert: tot'
        V20 = 'Post sec non-univ with cert: males'
        V21 = 'Post sec non-univ with cert: females'
        V22 = 'Univ wihtout deg: tot'
        V23 = 'Univ wihtout deg: males'
        V24 = 'Univ wihtout deg: females'
        V25 = 'Univ with cert of dip: tot'
        V26 = 'Univ with cert of dip: males'
        V27 = 'Univ with cert of dip: females'
        V28 = 'Univ with deg: tot'
        V29 = 'Univ with deg: males'
        V30 = 'Univ with deg: females'
        V31 = 'Employed-age 15+: tot'
        V32 = 'Employed-age 15+: males'
        V33 = 'Employed-age 15+: females'
        V34 = 'Employed <grade 9: tot'
        V35 = 'Employed <grade 9: males'
        V36 = 'Employed <grade 9: females'
        V37 = 'Emp grades 9-10: tot'
        V38 = 'Emp grades 9-10: males'
        V39 = 'Emp grades 9-10: females'
        V40 = 'Emp-grades 11-13 without sec sch cert: tot'
        V41 = 'Emp-grades 11-13 without sec sch cert: males'
        V42 = 'Emp-grades 11-13 without sec sch cert: females'
        V43 = 'Emp-grades 11-13 with sec sch cert:tot'
        V44 = 'Emp-grades 11-13 with sec sch cert: males'
        V45 = 'Emp-grades 11-13 with sec sch cert: females'
        V46 = 'Emp-post sec non-univ without cert: tot'
        V47 = 'Emp-post sec non-univ without cert: males'
        V48 = 'Emp-post sec non-univ without cert: females'
        V49 = 'Emp-post sec non-univ with cert: tot'
        V50 = 'Emp-post sec non-univ with cert: males'
        V51 = 'Emp-post sec non-univ with cert: females'
        V52 = 'Emp-univ without deg: tot'
        V53 = 'Emp-univ without deg: males'
        V54 = 'Emp-univ without deg: females'
        V55 = 'Emp-univ with cert: tot'
        V56 = 'Emp-univ with cert: males'
        V57 = 'Emp-univ with cert: females'
        V58 = 'Emp-univ deg: tot'
        V59 = 'Emp-univ deg: males'
        V60 = 'Emp-univ deg: females'
        V61 = 'Unemp-age 15+: tot'
        V62 = 'Unemp-age 15+: males'
        V63 = 'Unemp-age 15+: females: tot pop'
        V64 = 'Unemp <grade 9: tot'
        V65 = 'Unemp <grade 9: males'
        V66 = 'Unemp <grade 9: females'
        V67 = 'Unemp grades 9-10: tot'
        V68 = 'Unemp grades 9-10: males'
        V69 = 'Unemp grades 9-10: females'
        V70 = 'Umemp grades 11-13 without sec sch cert:tot'
        V71 = 'Umemp grades 11-13 without sec sch cert: males'
        V72 = 'Umemp grades 11-13 without sec sch cert: females'
        V73 = 'Unemp grades 11-13 with sec sch cert: tot'
        V74 = 'Unemp grades 11-13 with sec sch cert: males'
        V75 = 'Unemp grades 11-13 with sec sch cert: females'
        V76 = 'Unemp post sec non-univ without cert: tot'
        V77 = 'Unemp post sec non-univ without cert: males'
        V78 = 'Unemp post sec non-univ without cert: females'
        V79 = 'Unemp post sec non univ with cert: tot'
        V80 = 'Unemp post sec non univ with cert: males'
        V81 = 'Unemp post sec non univ with cert: females'
        V82 = 'Unemp univ without deg: tot'
        V83 = 'Unemp univ without deg: males'
        V84 = 'Unemp univ without deg: females'
        V85 = 'Unemp univ with cert:tot'
        V86 = 'Unemp univ with cert: males'
        V87 = 'Unemp univ with cert: females'
        V88 = 'Unemp univ deg: tot'
        V89 = 'Unemp univ deg: males'
        V90 = 'Unemp univ deg: females'
        V91 = 'In LF-age 15+: tot'
        V92 = 'In LF-age 15+: males'
        V93 = 'In LF-age 15+: females'
        V94 = 'In LF <grade 9: tot'
        V95 = 'In LF <grade 9: males'
        V96 = 'In LF <grade 9: females'
        V97 = 'In LF grades 9-10: tot'
        V98 = 'In LF grades 9-10: males'
        V99 = 'In LF grades 9-10: females'
        V100 = 'In LF grades 11-13 without sec sch cert:tot'
        V101 = 'In LF grades 11-13 without sec sch cert: males'
        V102 = 'In LF grades 11-13 without sec sch cert: females'
        V103 = 'In LF grades 11-13 with sec sch cert:tot'
        V104 = 'In LF grades 11-13 with sec sch cert: males'
        V105 = 'In LF grades 11-13 with sec sch cert: females'
        V106 = 'In LF post sec non univ without cert:tot'
        V107 = 'In LF post sec non univ without cert: males'
        V108 = 'In LF post sec non univ without cert: females'
        V109 = 'In LF post sec non univ with cert:tot'
        V110 = 'In LF post sec non univ with cert: males'
        V111 = 'In LF post sec non univ with cert: females'
        V112 = 'In LF univ without deg: tot'
        V113 = 'In LF univ without deg: males'
        V114 = 'In LF univ without deg: females'
        V115 = 'In LF univ with cert:tot'
        V116 = 'In LF univ with cert: males'
        V117 = 'In LF univ with cert: females'
        V118 = 'In Lf univ deg: tot'
        V119 = 'In Lf univ deg: males'
        V120 = 'In Lf univ deg: females'
        V121 = 'Partcpn rate 15+: tot'
        V122 = 'Partcpn rate 15+: males'
        V123 = 'Partcpn rate 15+: females'
        V124 = 'Partcpn rate <grade 9: tot'
        V125 = 'Partcpn rate <grade 9: males'
        V126 = 'Partcpn rate <grade 9: females'
        V127 = 'Partc rate grades 9-10: tot'
        V128 = 'Partc rate grades 9-10: males'
        V129 = 'Partc rate grades 9-10: females'
        V130 = 'Partc rate grades 11-13 without s sch cert:tot'
        V131 = 'Partc rate grades 11-13 without s sch cert: males'
        V132 = 'Partc rate grades 11-13 without s sch cert: females'
        V133 = 'Partc rate grades 11-13 with sec sch cert:tot'
        V134 = 'Partc rate grades 11-13 with sec sch cert: males'
        V135 = 'Partc rate grades 11-13 with sec sch cert: females'
        V136 = 'Partc rate post sec non-univ without cert:tot'
        V137 = 'Partc rate post sec non-univ without cert: males'
        V138 = 'Partc rate post sec non-univ without cert: females'
        V139 = 'Partc rate post sec non-univ with cert:tot'
        V140 = 'Partc rate post sec non-univ with cert: males'
        V141 = 'Partc rate post sec non-univ with cert: females'
        V142 = 'Partc rate univ without deg: tot'
        V143 = 'Partc rate univ without deg: males'
        V144 = 'Partc rate univ without deg: females'
        V145 = 'Partc rate univ with cert: tot'
        V146 = 'Partc rate univ with cert: males'
        V147 = 'Partc rate univ with cert: females'
        V148 = 'Partc rate univ deg: tot'
        V149 = 'Partc rate univ deg: males'
        V150 = 'Partc rate univ deg: females'
        V151 = 'Unemp rate-age 15+: tot'
        V152 = 'Unemp rate-age 15+: males'
        V153 = 'Unemp rate-age 15+: females: tot pop'
        V154 = 'Unemp rate <grade 9: tot'
        V155 = 'Unemp rate <grade 9: males'
        V156 = 'Unemp rate <grade 9: females'
        V157 = 'Unemp rate grades 9-10: tot'
        V158 = 'Unemp rate grades 9-10: males'
        V159 = 'Unemp rate grades 9-10: females'
        V160 = 'Umemp rate grades 11-13 without sec sch:tot'
        V161 = 'Umemp rate grades 11-13 without sec sch: males'
        V162 = 'Umemp rate grades 11-13 without sec sch: females'
        V163 = 'Unemp rate grades 11-13 with sec sch cert:tot'
        V164 = 'Unemp rate grades 11-13 with sec sch cert: males'
        V165 = 'Unemp rate grades 11-13 with sec sch cert: females'
        V166 = 'Unemp rate post sec non-univ without cert:tot'
        V167 = 'Unemp rate post sec non-univ without cert: males'
        V168 = 'Unemp rate post sec non-univ without cert: females'
        V169 = 'Unemp rate post sec non univ with cert:tot'
        V170 = 'Unemp rate post sec non univ with cert: males'
        V171 = 'Unemp rate post sec non univ with cert: females'
        V172 = 'Unemp rate univ without deg: tot'
        V173 = 'Unemp rate univ without deg: males'
        V174 = 'Unemp rate univ without deg: females'
        V175 = 'Unemp rate univ with cert:tot'
        V176 = 'Unemp rate univ with cert: males'
        V177 = 'Unemp rate univ with cert: females'
        V178 = 'Unemp rate univ deg: tot'
        V179 = 'Unemp rate univ deg: males'
        V180 = 'Unemp rate univ deg: females'
        V181 = 'Not in LF-age 15+: tot'
        V182 = 'Not in LF-age 15+: males'
        V183 = 'Not in LF-age 15+: females'
        V184 = 'Not in LF <grade 9: tot'
        V185 = 'Not in LF <grade 9: males'
        V186 = 'Not in LF <grade 9: females'
        V187 = 'Not in LF grades 9-10: tot'
        V188 = 'Not in LF grades 9-10: males'
        V189 = 'Not in LF grades 9-10: females'
        V190 = 'Not in LF grades 11-13 without sec sch cert:tot'
        V191 = 'Not in LF grades 11-13 without sec sch cert: males'
        V192 = 'Not in LF grades 11-13 without sec sch cert: females'
        V193 = 'Not in LF grades 11-13 with sec sch cert:tot'
        V194 = 'Not in LF grades 11-13 with sec sch cert: males'
        V195 = 'Not in LF grades 11-13 with sec sch cert: females'
        V196 = 'Not in LF post sec non univ without cert:tot'
        V197 = 'Not in LF post sec non univ without cert: males'
        V198 = 'Not in LF post sec non univ without cert: females'
        V199 = 'Not in LF post sec non univ with cert:tot'
        V200 = 'Not in LF post sec non univ with cert: males'
        V201 = 'Not in LF post sec non univ with cert: females'
        V202 = 'Not in LF univ without deg: tot'
        V203 = 'Not in LF univ without deg: males'
        V204 = 'Not in LF univ without deg: females'
        V205 = 'Not in LF univ with cert:tot'
        V206 = 'Not in LF univ with cert: males'
        V207 = 'Not in LF univ with cert: females'
        V208 = 'Not in Lf univ deg: tot'
        V209 = 'Not in Lf univ deg: males'
        V210 = 'Not in Lf univ deg: females'
      ;
FORMAT  PROV        V1_F.
        CSDSIZE     V7_F.
        CMACAPT     V11_F.
        CMACASEL    V12_F.
        CMACASIZ    V14_F.
        URBRUR      V18_F.
        URBSIZE     V19_F.
        RECTYPE     V21_F.
;
